CVE-2005-4473
CVSS5.0
发布时间 :2005-12-21 19:03:00
修订时间 :2011-03-07 21:28:21
NMCO    

[原文]Unspecified vulnerability in Macromedia JRun 4 web server (JWS) allows remote attackers to view web application source code via "a malformed URL."


[CNNVD]Macromedia JRun 4 Web Server URL解析缓冲区溢出漏洞(CNNVD-200512-502)

        Macromedia JRun是一款Macromedia公司开发的Java应用服务器,提供快速可靠的J2EE兼容平台。
        JRun Web Serve在处理超长请求字符串时存在漏洞。在某些配置中,如果用户提供了很长的URL(大约64k)的话,就可能出现栈溢出,允许以本地系统权限执行任意代码。
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:macromedia:jrun:4.0_build_61650Macromedia JRun 4.0 build 61650
cpe:/a:macromedia:jrun:4.0:sp1Macromedia JRun 4.0 SP1
cpe:/a:macromedia:jrun:4.0:sp1aMacromedia JRun 4.0 SP1a
cpe:/a:macromedia:jrun:4.0Macromedia JRun 4.0

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-4473
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-4473
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200512-502
(官方数据源) CNNVD

- 其它链接及资源

http://www.macromedia.com/devnet/security/security_zone/mpsb05-13.html
(PATCH)  CONFIRM  http://www.macromedia.com/devnet/security/security_zone/mpsb05-13.html
http://securitytracker.com/id?1015370
(PATCH)  SECTRACK  1015370
http://secunia.com/advisories/18077
(VENDOR_ADVISORY)  SECUNIA  18077
http://www.vupen.com/english/advisories/2005/2949
(UNKNOWN)  VUPEN  ADV-2005-2949
http://www.securityfocus.com/bid/15905
(UNKNOWN)  BID  15905

- 漏洞信息

Macromedia JRun 4 Web Server URL解析缓冲区溢出漏洞
中危 资料不足
2005-12-21 00:00:00 2005-12-28 00:00:00
远程  
        Macromedia JRun是一款Macromedia公司开发的Java应用服务器,提供快速可靠的J2EE兼容平台。
        JRun Web Serve在处理超长请求字符串时存在漏洞。在某些配置中,如果用户提供了很长的URL(大约64k)的话,就可能出现栈溢出,允许以本地系统权限执行任意代码。
        

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://www.macromedia.com/go/jrun_updater

- 漏洞信息

21901
Macromedia JRun Server Crafted URL Application Source Disclosure
Information Disclosure
Loss of Confidentiality Upgrade
Vendor Verified

- 漏洞描述

- 时间线

2005-12-15 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 4.0 Updater 6 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站